## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           qbe
Version:        1.1
Release:        %autorelease
Summary:        A pure C embeddable compiler backend

License:        MIT
URL:            https://c9x.me/compile/

Source0:        %{url}/release/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  make

ExclusiveArch: x86_64 aarch64

%description
QBE is a compiler backend that aims to provide 70% of the performance of
industrial optimizing compilers in 10% of the code. QBE fosters language
innovation by offering a compact user-friendly and performant backend. The size
limit constrains QBE to focus on the essential and prevents embarking on a
never-ending path of diminishing returns.

%prep
%autosetup

%build
make CFLAGS="$CFLAGS -std=c11 -fPIE" %{?_smp_mflags}

%install
%make_install PREFIX=%{_prefix}
mkdir -p %{buildroot}/%{_docdir}/%{name}
cp -r -p doc/ %{buildroot}/%{_docdir}/%{name}

%check
make check

%files
%doc README
%license LICENSE
%{_bindir}/%{name}
%{_docdir}/%{name}/*

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Mar 30 2023 Timothée Floure <timothee.floure@posteo.net> 1.1-1
- Rebase on new upstream release: QBE 1.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Sep 15 2022 Timothée Floure <timothee.floure@posteo.net> 1.0-4
- Remove autorelease macros expanded by rpmautospec in SRPM

* Thu Sep 15 2022 Timothée Floure <timothee.floure@posteo.net> 1.0-3
- Restore autochangelog macro mangled by SRPM import

* Thu Sep 15 2022 Timothée Floure <timothee.floure@posteo.net> 1.0-2
- Preserve timestamp on doc files

* Thu Sep 15 2022 Timothée Floure <timothee.floure@posteo.net> 1.0-1
- Initial import (fedora#212956)
